Package uk.ac.starlink.tfcat

# Class Decoders

java.lang.Object
uk.ac.starlink.tfcat.Decoders

public abstract class Decoders extends Object
Contains decoder implementations for all the TFCat types. This class contains most of the logic for converting a parsed JSON object representing a TFCat text into the classes provided by this package, while performing attendant validation.

Since:
  9 Feb 2022
Author:
  Mark Taylor

## Field Summary

Fields
Modifier and Type
Field
Description
`static final boolean`
`ALLOW_FCG_PROPERTIES`
If set true, the "properties" member is permitted on FeatureCollection and Geometry objects, in contravention of Section 7.1 of the GeoJSON spec RFC7946.
`static final Decoder<Bbox>`
`BBOX`
Decoder for a Bbox object.
`static final Decoder<Crs>`
`CRS`
Decoder for a CRS object.
`static final Decoder<Datatype<?>>`
`DATATYPE`
Decoder for a DataType object.
`static final Decoder<Feature>`
`FEATURE`
Decoder for a Feature object.
`static final Decoder<FeatureCollection>`
`FEATURE_COLLECTION`
Decoder for a FeatureCollection object.
`static final Decoder<Field[]>`
`FIELDS`
Decoder for an array of Field objects.
`static final Decoder<Geometry<?>[]>`
`GEOMETRIES`
Decoder for a GeometryCollection.
`static final Decoder<Geometry<?>>`
`GEOMETRY`
Decoder for a Geometry object.
`static final Decoder<Position[]>`
`LINE_STRING`
Decoder for array of Position objects representing TFCat LineString.
`static final Decoder<Position[][]>`
`LINE_STRINGS`
Decoder for an array of LineStrings.
`static final Decoder<LinearRing>`
`LINEAR_RING`
Decoder for a LinearRing.
`static final Decoder<LinearRing[]>`
`LINEAR_RINGS`
Decoder for array of LinearRings.
`static final Decoder<LinearRing[]>`
`POLYGON`
Decoder for array of LinearRings representing a TFCat Polygon.
`static final Decoder<LinearRing[][]>`
`POLYGONS`
Decoder for an array of TFCat polygons.
`static final Decoder<Position>`
`POSITION`
Decoder for Position object.
`static final Decoder<Position[]>`
`POSITIONS`
Decoder for array of Position objects.
`static final Decoder<SpectralCoords>`
`SPECTRAL_COORDS`
Decoder for a SpectralCoords object.
`static final Decoder<TfcatObject>`
`TFCAT`
Decoder for a TFCat object.
`static final Decoder<TimeCoords>`
`TIME_COORDS`
Decoder for a TimeCoords object.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ALLOW_FCG_PROPERTIES

public static final boolean ALLOW_FCG_PROPERTIES
If set true, the "properties" member is permitted on FeatureCollection and Geometry objects, in contravention of Section 7.1 of the GeoJSON spec RFC7946. Currently, the TFCat does allow properties here, so this value is set true.

See Also:
  - TFCat spec issue #3
  - Constant Field Values

### POSITION

public static final Decoder<Position> POSITION
Decoder for Position object.

### POSITIONS

public static final Decoder<Position[]> POSITIONS
Decoder for array of Position objects.

### LINE_STRING

public static final Decoder<Position[]> LINE_STRING
Decoder for array of Position objects representing TFCat LineString.

### LINE_STRINGS

public static final Decoder<Position[][]> LINE_STRINGS
Decoder for an array of LineStrings.

### LINEAR_RING

public static final Decoder<LinearRing> LINEAR_RING
Decoder for a LinearRing.

### LINEAR_RINGS

public static final Decoder<LinearRing[]> LINEAR_RINGS
Decoder for array of LinearRings.

### POLYGON

public static final Decoder<LinearRing[]> POLYGON
Decoder for array of LinearRings representing a TFCat Polygon.

### POLYGONS

public static final Decoder<LinearRing[][]> POLYGONS
Decoder for an array of TFCat polygons.

### BBOX

public static final Decoder<Bbox> BBOX
Decoder for a Bbox object.

### DATATYPE

public static final Decoder<Datatype<?>> DATATYPE
Decoder for a DataType object.

### FIELDS

public static final Decoder<Field[]> FIELDS
Decoder for an array of Field objects.

### GEOMETRY

public static final Decoder<Geometry<?>> GEOMETRY
Decoder for a Geometry object.

### GEOMETRIES

public static final Decoder<Geometry<?>[]> GEOMETRIES
Decoder for a GeometryCollection.

### TIME_COORDS

public static final Decoder<TimeCoords> TIME_COORDS
Decoder for a TimeCoords object.

### SPECTRAL_COORDS

public static final Decoder<SpectralCoords> SPECTRAL_COORDS
Decoder for a SpectralCoords object.

### CRS

public static final Decoder<Crs> CRS
Decoder for a CRS object.

### FEATURE

public static final Decoder<Feature> FEATURE
Decoder for a Feature object.

### FEATURE_COLLECTION

public static final Decoder<FeatureCollection> FEATURE_COLLECTION
Decoder for a FeatureCollection object.

### TFCAT

public static final Decoder<TfcatObject> TFCAT
Decoder for a TFCat object.